Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055570 - corrupts journals
Summary: corrupts journals
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 14:48 UTC by udo
Modified: 2018-11-28 03:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description udo 2014-01-20 14:48:53 UTC
Description of problem:
Without needing the journal, without doing anything special systemd (an init replacement but now also doign various other stuffs) mentions: File /var/log/journal/6bc32011e81922c063bab4ec493561d1/user-495.journal corrupted or uncleanly shut down, renaming and replacing.
This is amidst the still current logging mess that is Fedora: we get .xsession-errors and 'normal messsages output in /var/log/messages, we have the messages file filled with loads of things that do not belong there (mostly logged by systemd) and now systemd all of a sudden automagically corrupts its own logging.


Version-Release number of selected component (if applicable):
systemd-204-18.fc19.x86_64

How reproducible:
Run Fedora 19.
Check dmesg and be amazed once in a while.

Actual results:
See below.

Expected results:
No such corruption. No mixing up of logging. No unnecessary logging.

Additional info:
dmesg excerpt:
[1699133.392516] miner_OCL0[17949]: segfault at 7f83489393bf ip 00007f83489393bf sp 00007f832ed881d0 error 14
[1699147.399067] miner_OCL0[18019]: segfault at 7f3a8dc7a6ac ip 00007f3a8dc7a6ac sp 00007f3a77ff12b0 error 14
[1699162.356689] miner_OCL0[18089]: segfault at 7fc180d9a4ba ip 00007fc180d9a4ba sp 00007fc16ae762c0 error 14 in libOpenCL.so.1.0.0[7fc1827c0000+3418000]
[1699177.525743] miner_OCL0[18227]: segfault at 7f89965da6ac ip 00007f89965da6ac sp 00007f8987ff9f50 error 14
[1703913.874171] systemd-journald[694]: File /var/log/journal/6bc32011e81922c063bab4ec493561d1/user-495.journal corrupted or uncleanly shut down, renaming and replacing.

Comment 1 Zbigniew Jędrzejewski-Szmek 2014-01-20 17:08:10 UTC
(In reply to udo from comment #0)
> Description of problem:
> Without needing the journal
You can disable the permanent journal by a) removing /var/log/journal, or b) setting Storage=volatile in /etc/systemd/journald.conf.

>, without doing anything special systemd (an init
> replacement but now also doign various other stuffs) mentions: File
> /var/log/journal/6bc32011e81922c063bab4ec493561d1/user-495.journal corrupted
> or uncleanly shut down, renaming and replacing.
> This is amidst the still current logging mess that is Fedora: we get
> .xsession-errors and 'normal messsages output in /var/log/messages, we have
> the messages file filled with loads of things that do not belong there
> (mostly logged by systemd) and now systemd all of a sudden automagically
> corrupts its own logging.
This message means that the log file was not closed properly. If this only happens on reboot, you can ignore it for the most part. It'll go away when we fix shutdown issues.

Comment 2 Fedora End Of Life 2015-01-09 21:07:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 udo 2015-03-14 13:43:27 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> happens on reboot, you can ignore it for the most part. It'll go away when
> we fix shutdown issues.

Approximately what is the planning for those?
Will the system logging be untangled from the user logging (.xsession-errors) immediately after that?

Comment 4 Fedora End Of Life 2015-11-04 13:11:39 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jan Kurik 2016-02-24 13:14:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora End Of Life 2017-07-25 18:37:39 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Jan Kurik 2017-08-15 06:51:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 8 Ben Cotton 2018-11-27 18:38:46 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.